App\Library\Amazon\Classes\Coins\ProductTypeAType:
    properties:
        coin:
            expose: true
            access_type: public_method
            serialized_name: Coin
            accessor:
                getter: getCoin
                setter: setCoin
            type: App\Library\Amazon\Classes\Coin
        collectibleCoins:
            expose: true
            access_type: public_method
            serialized_name: CollectibleCoins
            accessor:
                getter: getCollectibleCoins
                setter: setCollectibleCoins
            type: App\Library\Amazon\Classes\CollectibleCoins
        bullion:
            expose: true
            access_type: public_method
            serialized_name: Bullion
            accessor:
                getter: getBullion
                setter: setBullion
            type: App\Library\Amazon\Classes\Bullion
